%set_verify_elf_method relaxed

Name: libopensync
Version: 0.22
Release: alt1

Summary: Synchronisation framework
License: LGPL
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %name-%version.tar.bz2

Requires: libxml2 glib2 libsqlite3 zlib libxml2

BuildRequires: gcc-c++ glib2-devel libsqlite3-devel libxml2-devel pkg-config 
BuildRequires: python-dev python-modules-encodings swig zlib-devel

%description
OpenSync is a synchronization framework that is platform and distribution independent.
It consists of several plugins that can be used to connect to devices, a powerfull sync-engine and the framework itself.
OpenSync is platform and distribution independent has no dependencies on X related libraries.

%package devel
Summary: Header files, libraries and development documentation for %name
Group: Development/C
Requires: %name = %version

%description devel
This package contains the header files, static libraries and development
documentation for %name. If you like to develop programs using %name,
you will need to install %name-devel.

%package tools
Summary: Tools for %name
Group: Development/Other
Requires: %name

%description tools
Tools to test and debug %name.

%package -n python-module-opensync
Summary: Python module for %name.
Group: Development/Python
Requires: %name

%description -n python-module-opensync
Python module for %name.

%prep
%setup -q

%build
%configure --disable-profiling --enable-tools --disable-unit-tests
%make

%install
%make_install install DESTDIR=%buildroot
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/opensync/formats/*.la
%__rm -f %buildroot%python_sitelibdir/*.la
%__mkdir_p %buildroot%_datadir/opensync/defaults


%files
%_libdir/libopensync-xml.so*
%_libdir/libopensync.so*
%_libdir/libosengine.so*
%_libdir/opensync
%_libexecdir/osplugin
%_datadir/opensync/defaults

%files devel
%_includedir/opensync-1.0
%_pkgconfigdir/*.pc

%files tools
%_bindir/*

%files -n python-module-opensync
%dir %python_sitelibdir/*

%changelog
* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec (drop cvs)

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Tue Oct 03 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19
- build puthon module
- fix spec (add in files %%_libexecdir/osplugin)
- fix BuildRequires

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1cvs20060921
- svn version 20060921 

* Tue Jul 18 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt2cvs20060718
- svn version 20060718

* Mon May 29 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt2cvs20060529
- svn version 20060529
- set_verify_elf_method relaxed
- add directory %%_datadir/opensync/defaults

* Tue Nov 22 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt1
- 0.18 release
- build for Sisyphus

* Fri Sep 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt0.1.cvs20050930
- Initial package
